# Uses of Interface
org.apache.felix.utils.properties.InterpolationHelper.SubstitutionCallback

Packages that use InterpolationHelper.SubstitutionCallback
Package
Description
org.apache.felix.utils.properties

## Uses of InterpolationHelper.SubstitutionCallback in org.apache.felix.utils.properties

Methods in org.apache.felix.utils.properties with parameters of type InterpolationHelper.SubstitutionCallback
Modifier and Type
Method
Description
`static void`
InterpolationHelper.`performSubstitution(Map<String,String> properties, InterpolationHelper.SubstitutionCallback callback)`
Perform substitution on a property set
`static void`
InterpolationHelper.`performSubstitution(Map<String,String> properties, InterpolationHelper.SubstitutionCallback callback, boolean substituteFromConfig, boolean substituteFromSystemProperties, boolean defaultsToEmptyString)`
Perform substitution on a property set
`void`
Properties.`substitute(InterpolationHelper.SubstitutionCallback callback)`
`static String`
InterpolationHelper.`substVars(String val, String currentKey, Map<String,String> cycleMap, Map<String,String> configProps, InterpolationHelper.SubstitutionCallback callback)`
This method performs property variable substitution on the specified value.
`static String`
InterpolationHelper.`substVars(String val, String currentKey, Map<String,String> cycleMap, Map<String,String> configProps, InterpolationHelper.SubstitutionCallback callback, boolean substituteFromConfig, boolean substituteFromSystemProperties, boolean defaultsToEmptyString)`
This method performs property variable substitution on the specified value.
Constructors in org.apache.felix.utils.properties with parameters of type InterpolationHelper.SubstitutionCallback
Modifier
Constructor
Description
``
`Properties(File location, InterpolationHelper.SubstitutionCallback callback)`